PETSc version 3.15.5
Fix/Edit manual page

# PetscDSGetTotalComponents

Returns the total number of components in this system

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetTotalComponents(PetscDS prob, PetscInt *Nc)

Not collective

### Input Parameter

| prob | - The PetscDS object

### Output Parameter

| dim | - The total number of components

### See Also

PetscDSGetNumFields(), PetscDSCreate()

### Level

beginner

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages